Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# DirectSessionPanel Class Reference

List of all members.

## Public Member Functions
def | __init__
def | addAmbient
def | addDirectional
def | addJBNodePath
def | addLight
def | addNodePath
def | addNodePathToDict
def | addPoint
def | addSpot
def | appInit
def | createDevicePage
def | createEnvPage
def | createGridPage
def | createInterface
def | createLightsPage
def | createMemPage
def | createTasksPage
def | onDestroy
def | pushRedo
def | pushRedoHook
def | pushUndo
def | pushUndoHook
def | redoHook
def | redoListEmptyHook
def | resetFov
def | selectDisplayRegionNamed
def | selectedNodePathHook
def | selectJBModeNamed
def | selectJBNodePathNamed
def | selectLightNamed
def | selectNodePathNamed
def | setBackgroundColor
| ENVIRONMENT CONTROLS ## Background #.
def | setBackgroundColorVec
def | setConstantAttenuation
def | setExponent
def | setFar
def | setHFov
def | setLightColor
def | setLinearAttenuation
def | setNear
def | setQuadraticAttenuation
def | setSpecularColor
def | setVFov
def | toggleActiveLight
def | toggleDirect
def | toggleDirectGrid
def | toggleGrid
| GRID CONTROLS ##.
def | toggleHprSnap
def | toggleJoybox
| DEVICE CONTROLS.
def | toggleLights
def | toggleWidgetOnTop
def | toggleXyzSnap
def | undoHook
def | undoListEmptyHook
def | updateDisplayRegionInfo
def | updateEnvironmentInfo
def | updateGridInfo
def | updateInfo
| UPDATE INFO ##.
def | updateLightInfo
## Public Attributes
| actionEvents
| activeDisplayRegion
| activeLight
| backgroundColor
| directEnabled
| directGridEnabled
| directWidgetOnTop
| drMenu
| dSpecularColor
| enableGrid
| enableGridButton
| enableJoybox
| enableJoyboxButton
| enableLights
| enableLightsButton
| farPlane
| gridSize
| gridSnapAngle
| gridSpacing
| hFov
| hprSnap
| hprSnapButton
| jbHprSF
| jbModeMenu
| jbNodePathDict
| jbNodePathMenu
| jbNodePathMenuBG
| jbNodePathMenuEntry
| jbNodePathNames
| jbXyzSF
| lightActive
| lightActiveButton
| lightColor
| lightMenu
| lightNotebook
| lightsButton
| lockedFov
| lockedFovButton
| MemExp
| nearPlane
| nodePathDict
| nodePathMenu
| nodePathMenuBG
| nodePathMenuEntry
| nodePathNames
| pConstantAttenuation
| pLinearAttenuation
| pQuadraticAttenuation
| pSpecularColor
| redoButton
| resetFovButton
| sConstantAttenuation
| sExponent
| SGE
| sLinearAttenuation
| sQuadraticAttenuation
| sSpecularColor
| taskMgrPanel
| toggleBackfaceButton
| Render Style ##.
| toggleLightsButton
| toggleTextureButton
| toggleWireframeButton
| undoButton
| vFov
| xyzSnap
| xyzSnapButton
## Static Public Attributes
string | appname = 'Direct Session Panel'
int | frameHeight = 365
int | frameWidth = 600
int | usecommandarea = 0
int | usestatusarea = 0

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | kw
| ) |  |

## Member Function Documentation

def addAmbient | ( |  | self | ) |

def addDirectional | ( |  | self | ) |

def addJBNodePath | ( |  | self,
|  |  | nodePath
| ) |  |

def addLight | ( |  | self,
|  |  | light
| ) |  |

def addNodePath | ( |  | self,
|  |  | nodePath
| ) |  |

def addNodePathToDict | ( |  | self,
|  |  | nodePath,
|  |  | names,
|  |  | menu,
|  |  | dict
| ) |  |

def addPoint | ( |  | self | ) |

def addSpot | ( |  | self | ) |

def appInit | ( |  | self | ) |

def createDevicePage | ( |  | self,
|  |  | devicePage
| ) |  |

def createEnvPage | ( |  | self,
|  |  | envPage
| ) |  |

def createGridPage | ( |  | self,
|  |  | gridPage
| ) |  |

def createInterface | ( |  | self | ) |

def createLightsPage | ( |  | self,
|  |  | lightsPage
| ) |  |

def createMemPage | ( |  | self,
|  |  | memPage
| ) |  |

def createTasksPage | ( |  | self,
|  |  | tasksPage
| ) |  |

def onDestroy | ( |  | self,
|  |  | event
| ) |  |

def pushRedo | ( |  | self | ) |

def pushRedoHook | ( |  | self | ) |

def pushUndo | ( |  | self,
|  |  | fResetRedo = `1`
| ) |  |

def pushUndoHook | ( |  | self | ) |

def redoHook | ( |  | self,
|  |  | nodePathList = `[]`
| ) |  |

def redoListEmptyHook | ( |  | self | ) |

def resetFov | ( |  | self | ) |

def selectDisplayRegionNamed | ( |  | self,
|  |  | name
| ) |  |

def selectedNodePathHook | ( |  | self,
|  |  | nodePath
| ) |  |

def selectJBModeNamed | ( |  | self,
|  |  | name
| ) |  |

def selectJBNodePathNamed | ( |  | self,
|  |  | name
| ) |  |

def selectLightNamed | ( |  | self,
|  |  | name
| ) |  |

def selectNodePathNamed | ( |  | self,
|  |  | name
| ) |  |

def setBackgroundColor | ( |  | self,
|  |  | r,
|  |  | g,
|  |  | b
| ) |  |

ENVIRONMENT CONTROLS ## Background #.

def setBackgroundColorVec | ( |  | self,
|  |  | color
| ) |  |

def setConstantAttenuation | ( |  | self,
|  |  | value
| ) |  |

def setExponent | ( |  | self,
|  |  | value
| ) |  |

def setFar | ( |  | self,
|  |  | far
| ) |  |

def setHFov | ( |  | self,
|  |  | hFov
| ) |  |

def setLightColor | ( |  | self,
|  |  | color
| ) |  |

def setLinearAttenuation | ( |  | self,
|  |  | value
| ) |  |

def setNear | ( |  | self,
|  |  | near
| ) |  |

def setQuadraticAttenuation | ( |  | self,
|  |  | value
| ) |  |

def setSpecularColor | ( |  | self,
|  |  | color
| ) |  |

def setVFov | ( |  | self,
|  |  | vFov
| ) |  |

def toggleActiveLight | ( |  | self | ) |

def toggleDirect | ( |  | self | ) |

def toggleDirectGrid | ( |  | self | ) |

def toggleGrid | ( |  | self | ) |

GRID CONTROLS ##.

def toggleHprSnap | ( |  | self | ) |

def toggleJoybox | ( |  | self | ) |

DEVICE CONTROLS.

def toggleLights | ( |  | self | ) |

def toggleWidgetOnTop | ( |  | self | ) |

def toggleXyzSnap | ( |  | self | ) |

def undoHook | ( |  | self,
|  |  | nodePathList = `[]`
| ) |  |

def undoListEmptyHook | ( |  | self | ) |

def updateDisplayRegionInfo | ( |  | self | ) |

def updateEnvironmentInfo | ( |  | self | ) |

def updateGridInfo | ( |  | self | ) |

def updateInfo | ( |  | self,
|  |  | page = `'Environment'`
| ) |  |

UPDATE INFO ##.

def updateLightInfo | ( |  | self,
|  |  | page = `None`
| ) |  |

## Member Data Documentation

actionEvents

activeDisplayRegion

activeLight

string appname = 'Direct Session Panel'`[static]`

backgroundColor

directEnabled

directGridEnabled

directWidgetOnTop

drMenu

dSpecularColor

enableGrid

enableGridButton

enableJoybox

enableJoyboxButton

enableLights

enableLightsButton

farPlane

int frameHeight = 365`[static]`

int frameWidth = 600`[static]`

gridSize

gridSnapAngle

gridSpacing

hFov

hprSnap

hprSnapButton

jbHprSF

jbModeMenu

jbNodePathDict

jbNodePathMenu

jbNodePathMenuBG

jbNodePathMenuEntry

jbNodePathNames

jbXyzSF

lightActive

lightActiveButton

lightColor

lightMenu

lightNotebook

lightsButton

lockedFov

lockedFovButton

MemExp

nearPlane

nodePathDict

nodePathMenu

nodePathMenuBG

nodePathMenuEntry

nodePathNames

pConstantAttenuation

pLinearAttenuation

pQuadraticAttenuation

pSpecularColor

redoButton

resetFovButton

sConstantAttenuation

sExponent

SGE

sLinearAttenuation

sQuadraticAttenuation

sSpecularColor

taskMgrPanel

toggleBackfaceButton

Render Style ##.

toggleLightsButton

toggleTextureButton

toggleWireframeButton

undoButton

int usecommandarea = 0`[static]`

int usestatusarea = 0`[static]`

vFov

xyzSnap

xyzSnapButton

All Classes Namespaces Functions Variables Enumerations Enumerator Properties